Start typing to search.

API Reference

List dashboards for a job

View Markdown

List dashboards for a job

GET /api/jobs/{jobId}/dashboards

List dashboards for a job

Operation ID: listJobDashboards

Authentication

Option 1

  • BearerAuth (http bearer) API key token. Create via POST /api/api-keys. Format: envoy_<hex>

Option 2

  • CookieAuth (apiKey) Session cookie set after login + TOTP verification

Path parameters

  • jobIdinteger, required

Success responses

200

Dashboard summaries for the job

Content type: application/json

  • Type: object
  • Properties:
    • result (array<Dashboard>)
      • Items:
        • Reference: Dashboard
          • Type: object
          • Properties:
            • id (integer)
            • job_id (integer)
            • dashboard_template_id (integer | null)
              • Nullable: yes
            • name (string)
            • description (string | null)
              • Nullable: yes
            • status (string)
            • has_share_link (boolean)
            • created_at (string)
              • Format: date-time
            • updated_at (string | null)
              • Format: date-time
              • Nullable: yes

Error responses

404

Resource not found

Content type: application/json

  • Reference: Error
    • Type: object
    • Properties:
      • error (string)
        • Example: NOT_FOUND
      • message (string)
        • Example: Resource not found

Example:

{
  "error": "NOT_FOUND",
  "message": "Resource not found"
}

Examples

cURL

curl --request GET \
  --url 'https://your-envoy.example.com/api/jobs/YOUR_JOB_ID/dashboards' \
  --header 'Authorization: Bearer $API_KEY'

JavaScript (fetch)

const response = await fetch('https://your-envoy.example.com/api/jobs/YOUR_JOB_ID/dashboards', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_API_KEY',
  },
});
 
if (!response.ok) throw new Error(`Request failed: ${response.status}`);
const data = response.status === 204 ? null : await response.json();
console.log(data);